Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_econv_elem_t Struct Reference

## Data Fields
struct rb_transcoding * | tc
unsigned char * | out_buf_start
unsigned char * | out_data_start
unsigned char * | out_data_end
unsigned char * | out_buf_end
rb_econv_result_t | last_result

## Detailed Description

Definition at line 101 of file transcode.c.

## Field Documentation

## ◆ last_result

rb_econv_result_t rb_econv_elem_t::last_result

Definition at line 107 of file transcode.c.

## ◆ out_buf_end

unsigned char* rb_econv_elem_t::out_buf_end

Definition at line 106 of file transcode.c.

## ◆ out_buf_start

unsigned char* rb_econv_elem_t::out_buf_start

Definition at line 103 of file transcode.c.

## ◆ out_data_end

unsigned char* rb_econv_elem_t::out_data_end

Definition at line 105 of file transcode.c.

## ◆ out_data_start

unsigned char* rb_econv_elem_t::out_data_start

Definition at line 104 of file transcode.c.

## ◆ tc

struct rb_transcoding* rb_econv_elem_t::tc

Definition at line 102 of file transcode.c.

Referenced by rb_econv_putback(), and rb_econv_putbackable().

The documentation for this struct was generated from the following file:

- transcode.c